import arcpy

bemeneti_fajl_vagy_reteg = arcpy.GetParameterAsText(0)
mezonev = arcpy.GetParameterAsText(1)
mit = arcpy.GetParameterAsText(2)
mire = arcpy.GetParameterAsText(3)
kimeneti_fajl = arcpy.GetParameterAsText(4)

arcpy.management.CopyFeatures(
	in_features = bemeneti_fajl_vagy_reteg,
	out_feature_class = "in_memory/ideiglenes_masolat"
)
tabla = arcpy.da.UpdateCursor(
	in_table = "in_memory/ideiglenes_masolat",
	field_names = mezonev
)
szamlalo = 0
for sor in tabla:
	if sor[0] == mit: # ha talalt cserelendot
		sor[0] = mire # lecsereli
		tabla.updateRow(sor) # veglegesiti a soron vegzett modositasokat
		szamlalo = szamlalo + 1
del tabla
arcpy.AddMessage(str(szamlalo) + " sikeres cseret vegeztem '" + mit + "'-rol '" + mire + "'-re.")
arcpy.management.CopyFeatures(
	in_features = "in_memory/ideiglenes_masolat",
	out_feature_class = kimeneti_fajl
)

